Delete Assistant
curl --request DELETE \
--url https://app.famulor.de/api/user/assistant/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.famulor.de/api/user/assistant/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.famulor.de/api/user/assistant/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.famulor.de/api/user/assistant/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.famulor.de/api/user/assistant/{id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"message": "Assistant deleted successfully"
}
{
"message": "Assistant not found or does not belong to the authenticated user"
}
{
"message": "Assistant deletion failed"
}
Delete Assistant
Permanently delete a specific Famulor AI voice assistant via API, including its prompt, configuration and call history. This action cannot be reversed.
DELETE
/
api
/
user
/
assistant
/
{id}
Delete Assistant
This endpoint allows you to permanently delete an AI assistant that belongs to the authenticated user.
Path Parameter
integer
required
The unique identifier of the assistant to be deleted
Response
string
Confirmation message indicating the assistant was successfully deleted
Error Responses
string
Error message if the assistant was not found or does not belong to the authenticated user
Notes
- Only assistants belonging to the authenticated user can be deleted
- Once an assistant is deleted, it cannot be restored
- This action permanently removes the assistant and all its configuration
- If the assistant is currently handling active calls, those calls might be affected
{
"message": "Assistant deleted successfully"
}
{
"message": "Assistant not found or does not belong to the authenticated user"
}
{
"message": "Assistant deletion failed"
}
Related pages: Introduction and Authentication Guide, and API Integration Examples.